org.apache.jmeter.gui.util

## Enum TristateState

- java.lang.Object
- - java.lang.Enum<TristateState>
  - - org.apache.jmeter.gui.util.TristateState

All Implemented Interfaces:
  Serializable, Comparable<TristateState>

    public enum TristateState
    extends Enum<TristateState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DESELECTED`
`INDETERMINATE`
`SELECTED`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract TristateState` `next()`
`static TristateState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TristateState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SELECTED

    public static final TristateState SELECTED

#### INDETERMINATE

    public static final TristateState INDETERMINATE

#### DESELECTED

    public static final TristateState DESELECTED

### Method Detail

#### values

    public static TristateState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TristateState c : TristateState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TristateState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### next

    public abstract TristateState next()